Public Class DoorListPageV

   ' funzione che impedisce di editare le righe che sono gia' in produzione
   Private Sub DoorList_BeginningEdit(sender As Object, e As DataGridBeginningEditEventArgs)
      'If IsNothing(e.Row) Then Return
      'Dim RowVM As Door = DirectCast(e.Row.DataContext, Door)
      '' se in produzione impedisco modifica dei parametri
      'If RowVM.nState >= Door.PartProgramStates.READY_FOR_PRODUCTION Then
      '   e.Cancel = True
      'End If
   End Sub

End Class
